issues:
  title: Healthacare Inc Issues Dashboard
  charts:
    - title: Issues created per week
      type: stacked-bar
      query:
        issuable_type: issue
        issuable_state: opened
        collection_labels:
          - type::feature
          - type::bug
          - type::tech debt
        group_by: week
        period_limit: 12
    - title: Issues closed per week
      type: bar
      query:
        issuable_type: issue
        issuable_state: closed
        collection_labels:
          - type::feature
          - type::bug
          - type::tech debt
        group_by: week
        period_limit: 12
    - title: Bugs created per week by Priority
      type: stacked-bar
      query:
        issuable_type: issue
        issuable_state: opened
        filter_labels:
          - type::bug
        collection_labels:
          - priority::1
          - priority::2
          - priority::3
          - priority::4
        group_by: week
        period_limit: 12
    - title: Features issues delivered per week by Product
      type: stacked-bar
      query:
        issuable_type: issue
        issuable_state: closed
        filter_labels:
          - type::feature
        collection_labels:
          - product::report card
          - product::admissions manager
          - product::carpool
          - product::parent portal
          - product::payment gateway
          - product::sso
          - product::test practice
          - product::user management
        group_by: week
        period_limit: 12
    - title: New customer issues by type
      type: stacked-bar
      query:
        issuable_type: issue
        issuable_state: opened
        filter_labels:
          - customer feedback
        collection_labels:
          - type::feature
          - type::bug
          - type::tech debt
        group_by: week
        period_limit: 12
mergeRequests:
  title: Initech Merge Requests Dashboard
  charts:
    - title: Merge Requests merged per week by type
      type: stacked-bar
      query:
        issuable_type: merge_request
        issuable_state: merged
        collection_labels:
          - type::feature
          - type::bug
          - type::tech debt
        group_by: week
        period_limit: 12
    - title: Merge Requests merged per week
      type: bar
      query:
        issuable_type: merge_request
        issuable_state: merged
        group_by: week
        period_limit: 12
    - title: Features merge requests delivered per week by Product
      type: stacked-bar
      query:
        issuable_type: merge_request
        filter_labels:
          - type::feature
        collection_labels:
          - product::report card
          - product::admissions manager
          - product::carpool
          - product::parent portal
          - product::payment gateway
          - product::sso
          - product::test practice
          - product::user management
        group_by: week
        period_limit: 12
productReportCard:
  title: Report Card Product Team Dashboard
  charts:
    - title: Feature Issues completed per week
      type: bar
      query:
        issuable_type: issue
        issuable_state: closed
        filter_labels:
          - product::report card
          - type::feature
        group_by: week
        period_limit: 12
    - title: Feature Merge Requests merged per week
      type: bar
      query:
        issuable_type: merge_request
        issuable_state: merged
        filter_labels:
          - product::report card
          - type::feature
        group_by: week
        period_limit: 12
    - title: Technical debt leading indicators by type
      type: stacked-bar
      query:
        issuable_type: issue
        issuable_state: open
        filter_labels:
          - product::report card
        collection_labels:
          - type::bug
          - type::tech debt
        group_by: week
        period_limit: 12
    - title: Technical debt payments
      type: stacked-bar
      query:
        issuable_type: merge_request
        issuable_state: merged
        collection_labels:
          - type::bug
          - type::tech debt
        group_by: week
        period_limit: 12
    - title: New customer issues by type
      type: stacked-bar
      query:
        issuable_type: issue
        issuable_state: opened
        filter_labels:
          - customer feedback
          - product::report card
        collection_labels:
          - type::feature
          - type::bug
          - type::tech debt
        group_by: week
        period_limit: 12

